Bug 232473 - deleting 20 inactive systems at once on rhn.redhat.com does not work
deleting 20 inactive systems at once on rhn.redhat.com does not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Grant Gainey
Red Hat Satellite QA List
:
Depends On:
Blocks: 210537
  Show dependency treegraph
 
Reported: 2007-03-15 14:13 EDT by John Poelstra
Modified: 2007-06-25 15:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn501
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 15:51:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Poelstra 2007-03-15 14:13:24 EDT
Description of problem:

Selected 20 inactive systems and then did a systems group delete.  Error message
returned to the screen is:

500 Error - Internal Server Error

You may have reached this page in one of the following ways:

   1. You are using an outdated version of Konqueror 3.0, which may not handle
form variables properly in all cases. Continuing to use this outdated version of
Konqueror may have unexpected results. Please up2date to the latest version of
Konqueror (3.03 or greater), or if this is not possible, please use another browser.
   2. You've found an error in our site. Please help us by filling out this form
with details of how you received this message.
   3. You've done something naughty. Stop it.

I'm running the latest RHEL5 packages and using firefox.
Comment 3 Grant Gainey 2007-04-24 14:19:41 EDT
This looks like another instance of the ORA "deadlock detected" issue we're
trying to track down - all of which seem to center around
delete_systems_conf.pxt or delete_confirm.pxt.  Recreated on WEBDEV, traceback
looks like this:

[Tue Apr 24 14:11:57 2007] [error] [timing] slow rendering of page
'/network/systems/ssm/misc/delete_systems_conf.pxt': 6.1829 seconds (0.6999
user/0.0340 sys)
[Tue Apr 24 14:11:57 2007] [error] Execution of
/var/www/html/network/systems/ssm/misc/delete_systems_conf.pxt failed at Tue Apr
24 14:11:57 2007: RHN::Exception: DBD::Oracle::st execute failed: ORA-00060:
deadlock detected while waiting for resource!ORA-06512: at "RHN.RHN_CHANNEL",
line 769!ORA-06512: at "RHN.RHN_CHANNEL", line 650!ORA-06512: at
"RHN.RHN_CHANNEL", line 528!ORA-06512: at "RHN.DELETE_SERVER_BULK", line
89!ORA-06512: at line 2 (DBD ERROR: OCIStmtExecute) [for Statement "BEGIN! 
delete_server_bulk(?);!END;!" with ParamValues: :p1='1415242']!  RHN::DB
/usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm 226 RHN::Exception::DB::throw! 
RHN::DB::Server /usr/lib/perl5/site_perl/5.8.5/RHN/DB/Server.pm 1244
RHN::DB::handle_error!  RHN::DB::Server
/usr/lib/perl5/site_perl/5.8.5/RHN/DB/Server.pm 1237 (eval)!  Sniglets::Servers
/usr/lib/perl5/site_perl/5.8.5/Sniglets/Servers.pm 2556
RHN::DB::Server::delete_servers_in_system_list!  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm 620
Sniglets::Servers::delete_servers_cb!  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm 110
PXT::ApacheHandler::pxt_parse_data!  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm 110 (eval)!  main /dev/null
0 PXT::ApacheHandler::handler!  main /dev/null 0 (eval)
[Tue Apr 24 14:11:57 2007] [error] Traceback sent to
rhn-webdev-list@rhn.redhat.com at
/usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm line 725.
Comment 4 Grant Gainey 2007-06-25 15:51:45 EDT
I can't reproduce this error any more - appears the prod-fix to add the index
addressed it.

Note You need to log in before you can comment on or make changes to this bug.